version: '3'

services:
  spark-master:
    image: bitnami/spark:latest
    networks:
      - spark-network
    ports:
      - "8080:8080"  # Веб-інтерфейс майстра Spark
      - "7077:7077"  # Порт Spark майстра
    environment:
      - SPARK_MODE=master

  spark-worker:
    image: bitnami/spark:latest
    networks:
      - spark-network
    environment:
      - SPARK_MODE=worker
      - SPARK_MASTER_URL=spark://spark-master:7077
    depends_on:
      - spark-master

networks:
  spark-network:
    name: spark-network

